
# Houdini

Houdini is a php templating engine designed in conjunction with [The Tempus Project](https://thetempusproject.com). This package allows you to store output as variables and plug it in to templates and formatted html either for direct display or cache assets to be rendered together as a completed page.

This functionality applies to several commonly utilized page components such as navigation, forms, pagination, interface and more.

## Installation

To install simply use the composer command:

`php composer.phar require thetempusproject/houdini`

## Usage

Typical usage would be through including the package via composer.

```php

require_once VENDOR_DIRECTORY . 'autoload.php';

use TheTempusProject\Houdini\Classes\Template;

new Template;
Template::setTemplate( 'default' );

```

If you would like to use hermes autoloading, simply inclode the constants file and the autoload file inside `/bin/`.

```php

use TheTempusProject\Houdini\Classes\Template;

// Houdini Constants
if ( ! defined( 'HOUDINI_CONSTANTS_LOADED' ) ) {
    if ( defined( 'HOUDINI_CONFIG_DIRECTORY' ) ) {
        require_once HOUDINI_CONFIG_DIRECTORY . 'constants.php';
    }
}

// Houdini Autoloader (Autoloader)
if ( ! defined( 'HOUDINI_AUTOLOADED' ) ) {
    if ( defined( 'HOUDINI_ROOT_DIRECTORY' ) ) {
        require_once HOUDINI_ROOT_DIRECTORY . 'bin' . DIRECTORY_SEPARATOR . 'autoload.php';
    }
}

new Template;
Template::setTemplate( 'default' );

```

### Components
### Email
### Filters
### Forms
### Issues
### Navigation
### Pagination
### Views

## Constants / Settings



## Issues / Bugs / Contact

If anyone actually uses this library and runs into any issues, feel free to contact me and I'll look into it.

[Joey Kimsey](mailto:Joey@thetempusproject.com) - _Lead Developer_

[JoeyKimsey.com](https://JoeyKimsey.com)
